## ros-melodic-pr2-simulator 2.0.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_simulator)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-pr2-simulator (2.0.14-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 28 Apr 2019 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.13-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 23 Apr 2019 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.12-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Apr 2019 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.11-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 19 Aug 2018 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.10-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 17 Mar 2018 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.9-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 17 Feb 2018 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.8-0stretch) stretch; urgency=high

  * Merge pull request #129 <https://github.com/pr2/pr2_simulator/issues/129> from k-okada/license
    set license from TODO to BSD
  * Merge pull request #128 <https://github.com/pr2/pr2_simulator/issues/128> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * set license from TODO to BSD
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.5-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 12 Mar 2015 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.4-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 15:00:00 -0000

ros-melodic-pr2-simulator (2.0.3-0stretch) stretch; urgency=high

  * Changelogs
  * New vers
  * Changelogs
  * Updated metapackage
  * Contributors: TheDash
  * New vers
  * Changelogs
  * Updated metapackage
  * Contributors: TheDash
  * Updated metapackage
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 06 Oct 2014 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-simulator
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-pr2-simulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-pr2-controller-configuration-gazebo, ros-melodic-pr2-gazebo, ros-melodic-pr2-gazebo-plugins
Description: The pr2_simulator package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-simulator//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
